| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPDelArrayElementHandler< T > Class Template Reference

Inheritance diagram for csPDelArrayElementHandler< T >:

[legend]
List of all members.

## Static Public Member Functions
static void | Construct (T *address, T const &src)
| Copy-construct an element.
static void | Destroy (T *address)
| Destroy an element.
static void | InitRegion (T *address, size_t count)
| Construct a number of elements.

## Detailed Description

### template<class T>
class csPDelArrayElementHandler< T >

Definition at line 37 of file parray.h.

## Member Function Documentation

template<class T>

static void csPDelArrayElementHandler< T >::Construct | ( | T * | address,
|  | T const & | src |
| ) |  |  | `[inline, static]`

Copy-construct an element.

Reimplemented from csArrayElementHandler< T >.

Definition at line 40 of file parray.h.

template<class T>

static void csPDelArrayElementHandler< T >::Destroy | ( | T * | address | ) | `[inline, static]`

Destroy an element.

Reimplemented from csArrayElementHandler< T >.

Definition at line 45 of file parray.h.

template<class T>

static void csPDelArrayElementHandler< T >::InitRegion | ( | T * | address,
|  | size_t | count |
| ) |  |  | `[inline, static]`

Construct a number of elements.

Reimplemented from csArrayElementHandler< T >.

Definition at line 50 of file parray.h.

The documentation for this class was generated from the following file:

- csutil/parray.h